<!-- Nav -->
<%- include('../partials/nav', {active: "vault"}); %>

<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1>
                Vault Initialization
            </h1>
            <% include ../partials/messages %>
            <div class="my-3 p-3 bg-white rounded shadow-sm">
                <form action="/vault/init" method="POST" enctype="application/json">
    
                    <div class="form-group">
    
                        <div class="form-row mb-2">
                            <div class="col">
                                <label for="keyShares">Key shares</label>
                                <input id="keyShares" type="number" class="form-control" placeholder="Key shares" name="keyShares" value="5" required>
                                <small id="keySharesHelp" class="form-text text-muted">The number of key shares to split the master key into</small>
                            </div>
                        </div>

                        <div class="form-row mb-2">
                            <div class="col">
                                <label for="keyThreshold">Key threshold</label>
                                <input id="keyThreshold" type="number" class="form-control" placeholder="Key threshold" name="keyThreshold" value="3" required>
                                <small id="keySharesHelp" class="form-text text-muted">The number of key shares required to reconstruct the master key</small>
                            </div>
                        </div>
    
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary">Initialize</button>
                    </div>
                </form>
            </div>
        </main>
    </div>
</div>